package com.jdbernard.teammaker

public abstract class PlayerChooser {

    protected static final Random rand = new Random(System.currentTimeMillis())

    public abstract Player choose (def players)
    public abstract float getOdds(def players, Player player)

    protected Player chooseRandomly(List choices) {
        choices.sort { rand.nextInt() }
    }
}
